// Package model provides structures for persistent repository
package model

import "context"

// Repository interface abstracting specific repository
type Repository interface {
	Migrate(ctx context.Context) error
	ResultsPostcodeGetByKey(ctx context.Context, key string) (*Results, error)
	ResultsPostcodeSave(ctx context.Context, results *Results) error
	ResultsQueryGetByKey(ctx context.Context, key string) (*Results, error)
	ResultsQuerySave(ctx context.Context, results *Results) error
	ResultsUdprnGetByKey(ctx context.Context, key string) (*Results, error)
	ResultsUdprnSave(ctx context.Context, results *Results) error
}
