package service

import (
	"strings"

	"gitlab.dcloud.tech/mashplace/backend/address/internal/model"
	"gitlab.dcloud.tech/mashplace/backend/address/pkg/idealpostcodes"
)

func (srv *serviceImpl) createAddresses(ms []*idealpostcodes.Address) (addrs []*model.Address) {
	for _, m := range ms {
		addrs = append(addrs, srv.createAddress(m))
	}

	return
}

func (srv *serviceImpl) createAddress(m *idealpostcodes.Address) (addr *model.Address) {
	return &model.Address{
		PostTown:             strings.TrimSpace(m.PostTown),
		Street:               strings.TrimSpace(m.Street),
		Flat:                 strings.TrimSpace(m.SubBuildingName),
		Line1:                strings.TrimSpace(m.Line1),
		Line2:                strings.TrimSpace(m.Line2),
		Line3:                strings.TrimSpace(m.Line3),
		BuildingName:         strings.TrimSpace(m.BuildingName),
		BuildingNumber:       strings.TrimSpace(m.BuildingNumber),
		SubBuildingName:      strings.TrimSpace(m.SubBuildingName),
		Country:              strings.TrimSpace(m.Country),
		County:               strings.TrimSpace(m.County),
		AdministrativeCounty: strings.TrimSpace(m.County),
		PostalCounty:         strings.TrimSpace(m.PostalCounty),
		TraditionalCounty:    strings.TrimSpace(m.TraditionalCounty),
		District:             strings.TrimSpace(m.District),
		Longitude:            m.Longitude,
		Latitude:             m.Latitude,
		Postcode:             strings.TrimSpace(m.Postcode),
	}
}
