package idealpostcodes

// Address represents data model of IdealPostcodes address.
type Address struct {
	PostTown             string  `json:"post_town"`
	Street               string  `json:"thoroughfare"`
	Flat                 string  `json:"flat"`
	Line1                string  `json:"line_1"`
	Line2                string  `json:"line_2"`
	Line3                string  `json:"line_3"`
	BuildingName         string  `json:"building_name"`
	BuildingNumber       string  `json:"building_number"`
	SubBuildingName      string  `json:"sub_building_name"`
	Country              string  `json:"country"`
	County               string  `json:"county"`
	AdministrativeCounty string  `json:"administrative_county"`
	PostalCounty         string  `json:"postal_county"`
	TraditionalCounty    string  `json:"traditional_county"`
	District             string  `json:"district"`
	Longitude            float64 `json:"longitude"`
	Latitude             float64 `json:"latitude"`
	Postcode             string  `json:"postcode"`
}

// AutocompleteSuggestion represents data model of IdealPostcodes addresses in Address Autocomplete API.
type AutocompleteSuggestion struct {
	Suggestion string `json:"suggestion"`
	UdprnURL   string `json:"udprn_url"`
}
