package idealpostcodes

import "context"

// Client describes IdealPostcodes API client interface.
type Client interface {
	AddressesByPostcode(ctx context.Context, postcode string) ([]*Address, error)
	AddressesByFreeformQuery(ctx context.Context, query string) ([]*Address, error)
	AutocompleteAddressByFreeformQuery(ctx context.Context, query string) ([]*AutocompleteSuggestion, error)
	AddressByUdprnURL(ctx context.Context, udprnURL string) (*Address, error)
}
